Subject: Re: [PATCH 1/7] boot: use a common zImage rule

From: David Gibson <[email-masked]>
Date: Tue, 20 Mar 2007 14:30:39 +1100

On Mon, Mar 19, 2007 at 02:58:07PM -0600, Milton Miller wrote:
> Before the plethora of platforms gets any worse, establish a common
> rule to invoke the wrapper for any platform.  Add arguments to
> the rule for initrd, dts, dtb, etc.   Show example usage with initrd.
> 
> For now, uImage and zImage*ps3 are special.  Hopefully ps3 will join
> the party.
> 
> Signed-off-by: Milton Miller <[email-masked]>
> --- 
> One reviewer pointed out the explicit exception rule are now seperated
> from the generic rule.  While the rule needs to go after the image-
> assignment, that code could be moved up.

The problem with this patch is that while the wrap command can take a
dts or dtb, there's no way to specify which should be used with each
target.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson